package org.openxma.dsl.generator.impl;

import java.io.File;

import org.eclipse.xtext.generator.JavaIoFileSystemAccess;
import org.eclipse.xtext.generator.OutputConfiguration;

public class DefaultFileSystemAccess extends JavaIoFileSystemAccess {

    @Override
    public void generateFile(String fileName, String outputConfigName, CharSequence contents) {
        OutputConfiguration outputConfig = getOutputConfig(outputConfigName);
        if (!outputConfig.isOverrideExistingResources()
                && new File(outputConfig.getOutputDirectory(), fileName).exists()) {
            return;
        }
        super.generateFile(fileName, outputConfigName, contents);
    }

}
