package org.openxma.dsl.generator.impl;

import org.eclipse.emf.ecore.EObject;
import org.openxma.dsl.pom.model.EventFunction;
import org.openxma.dsl.pom.model.EventMappingList;
import org.openxma.dsl.pom.model.GuiElementEventMapping;
import org.openxma.dsl.pom.model.IGuiElementWithEvent;

@com.google.inject.ImplementedBy(JsfEventsImpl.class)
public interface JsfEvents {

    CharSequence controlName(final IGuiElementWithEvent control);

    CharSequence createChildEventMappings(final EObject composite, final EventMappingList events);

    CharSequence toEventMappings(final EObject eventMapping);

    CharSequence toLifecycleMethods(final EventMappingList events);

    CharSequence toEventMethodSuffix(final GuiElementEventMapping eventMapping);

    CharSequence componentReference(final EventFunction function);

}
