package org.openxma.dsl.generator.impl;

import org.eclipse.emf.ecore.EObject;
import org.openxma.dsl.core.model.Model;
import org.openxma.dsl.core.model.Type;
import org.openxma.dsl.dom.model.PresentableFeature;

import com.google.inject.ImplementedBy;

@ImplementedBy(TypesImpl.class)
public interface Types {

    public abstract Type parentType(final PresentableFeature att);

    public abstract Model model(final EObject eObject);

    public abstract Type pomType(final Type type);

}
