package org.openxma.dsl.generator.lib;

import com.google.common.base.Predicate;
import com.google.common.base.Predicates;
import com.google.common.collect.Iterables;
import org.eclipse.xtext.xbase.lib.Functions.Function1;
import org.eclipse.xtext.xbase.lib.IterableExtensions;

@SuppressWarnings("all")
public class IterableExtensions2 extends IterableExtensions {
  public static <T extends Object> Iterable<T> reject(final Iterable<T> unfiltered, final Function1<? super T,Boolean> predicate) {
    Predicate<T> _not = Predicates.<T>not(new Predicate<T>() {
        public boolean apply(T arg0) {
          return predicate.apply(arg0);
        }
    });
    return Iterables.<T>filter(unfiltered, _not);
  }
}
