package org.openxma.dsl.generator.lib

import com.google.common.base.Predicates
import com.google.common.collect.Iterables
import org.eclipse.xtext.xbase.lib.Functions$Function1
import org.eclipse.xtext.xbase.lib.IterableExtensions

class IterableExtensions2 extends IterableExtensions {
    
    def static <T> Iterable<T> reject(Iterable<T> unfiltered, Function1<? super T, Boolean> predicate) {
        return Iterables::filter(unfiltered, Predicates::not(predicate))
    }
}