package org.openxma.dsl.generator.impl;

import org.eclipse.emf.common.util.EList;
import org.openxma.dsl.core.model.ConditionsBlock;
import org.openxma.dsl.pom.model.Command;
import org.openxma.dsl.pom.model.Component;
import org.openxma.dsl.pom.model.XmadslPage;

import com.google.inject.ImplementedBy;

@ImplementedBy(BackingBeanImpl.class)
public interface BackingBean {

    CharSequence toComponentBackingBean(String namespace, Component comp);

    CharSequence toBackingBean(String namespace, XmadslPage page);

    CharSequence toAbstractComponentBackingBean(String namespace, Component comp);

    CharSequence toAbstractBackingBean(String namespace, XmadslPage page, Component comp);

    CharSequence toConditions(ConditionsBlock conditionsBlock);

    CharSequence toAbstractCommands(EList<Command> commands);

}