package org.openxma.dsl.generator.impl;

import org.eclipse.emf.ecore.EObject;
import org.openxma.dsl.pom.model.XmadslPage;

import com.google.inject.ImplementedBy;

@ImplementedBy(FilesImpl.class)
public interface Files {

    String packageFolderPath(EObject eObject);

    String faceletPageFileName(XmadslPage page, boolean generated);

    String backingBeanFileName(EObject page, boolean generated);
    
    String toJavaFilePath(String qualifiedName);

    String toFilePath(String qualifiedName, String fileExtension);

}