package org.openxma.dsl.generator.impl;

import java.util.Collection;

import org.eclipse.emf.ecore.EObject;
import org.openxma.dsl.core.model.ModelElement;

@com.google.inject.ImplementedBy(NamesImpl.class)
public interface Names {
    String toVariableName(String name);

    String toVariableName(EObject eObject);

    String getQualifiedName(EObject eObject);

    String getPackageName(ModelElement modelElement);

    String getClassPackageName(ModelElement modelElement);

    String getInterfaceName(ModelElement modelElement);
    
    String getGenInterfaceName(ModelElement modelElement);

    String getGenClassName(ModelElement modelElement);

    String getClassName(ModelElement modelElement);

    String getQualifiedGenInterfaceName(ModelElement modelElement);
    
    String getQualifiedInterfaceName(ModelElement modelElement); 
    
    String getQualifiedGenClassName(ModelElement modelElement);
    
    String getQualifiedClassName(ModelElement modelElement);
    
    String addImport(EObject eObject, String qualifiedName);

    Collection<String> getQualifiedNames();
}
